AsyncCallback (ZooKeeper 3.4.10 API)
Date: 2017-03-23

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.zookeeper
Interface AsyncCallback

All Known Subinterfaces:
  AsyncCallback.ACLCallback, AsyncCallback.Children2Callback, AsyncCallback.ChildrenCallback, AsyncCallback.DataCallback, AsyncCallback.MultiCallback, AsyncCallback.StatCallback, AsyncCallback.StringCallback, AsyncCallback.VoidCallback

    public interface AsyncCallback

Interface definitions of asynchronous callbacks. An asynchronous callback is deferred to invoke after a function returns. Asynchronous calls usually improve system efficiency on IO-related APIs.

ZooKeeper provides asynchronous version as equivalent to synchronous APIs.

Nested Class Summary
`static interface` | `AsyncCallback.ACLCallback` This callback is used to retrieve the ACL and stat of the node.
`static interface` | `AsyncCallback.Children2Callback` This callback is used to retrieve the children and stat of the node.
`static interface` | `AsyncCallback.ChildrenCallback` This callback is used to retrieve the children of the node.
`static interface` | `AsyncCallback.DataCallback` This callback is used to retrieve the data and stat of the node.
`static interface` | `AsyncCallback.MultiCallback` This callback is used to process the multiple results from a single multi call.
`static interface` | `AsyncCallback.StatCallback` This callback is used to retrieve the stat of the node.
`static interface` | `AsyncCallback.StringCallback` This callback is used to retrieve the name of the node.
`static interface` | `AsyncCallback.VoidCallback` This callback doesn't retrieve anything from the node.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2017 The Apache Software Foundation